> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/upload-files-with-the-geopard-api.md).

# Enviar arquivos com a API GeoPard

{% hint style="success" %}
A abordagem recomendada para arquivos com mais de 6 MB é o fluxo de [URL pré-assinada](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

A API do GeoPard permite fazer upload de arquivos ZIP com conjuntos de dados de solo, produtividade, aplicações e limites para processamento e análise posteriores.

{% hint style="danger" %}
Devido a uma limitação da AWS, o tamanho máximo do arquivo que você pode enviar por este endpoint REST é de 6 MB.
{% endhint %}

As etapas para enviar arquivos com mais de 6 MB estão descritas em [Enviar arquivos ZIP (mais de 6 MB)](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Logo após o envio bem-sucedido do conjunto de dados de solo, produtividade ou aplicações, o mecanismo do GeoPard o vincula aos talhões correspondentes localizados dentro da fazenda definida.

Logo após o envio bem-sucedido dos limites, o mecanismo do GeoPard inicia o processamento.

A resposta contém um `<uuid>` que você pode usar para acompanhar o status do processamento.

#### Exemplo de solicitação:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Os parâmetros são:

1. `<type>` - tipo do conjunto de dados enviado. Deve ser `yield` OU `soil` OU `applied` OU `boundary`.
2. `<farm_uuid>` - o `uuid` da fazenda para a qual o arquivo será enviado (opcional).
3. `<token>` - token de acesso do GeoPard.
4. `@path/to/file.zip` - o caminho para o arquivo que está sendo enviado.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
